---
title: WebGLRenderingContext.getError()
slug: Web/API/WebGLRenderingContext/getError
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.getError()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> returns error information.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">GLenum <var>gl</var>.getError();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Constant</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>gl.NO_ERROR</code></td>
   <td>No error has been recorded. The value of this constant is 0.</td>
  </tr>
  <tr>
   <td><code>gl.INVALID_ENUM</code></td>
   <td>An unacceptable value has been specified for an enumerated argument. The command is ignored and the error flag is set.</td>
  </tr>
  <tr>
   <td><code>gl.INVALID_VALUE</code></td>
   <td>A numeric argument is out of range. The command is ignored and the error flag is set.</td>
  </tr>
  <tr>
   <td><code>gl.INVALID_OPERATION</code></td>
   <td>The specified command is not allowed for the current state. The command is ignored and the error flag is set.</td>
  </tr>
  <tr>
   <td><code>gl.INVALID_FRAMEBUFFER_OPERATION</code></td>
   <td>The currently bound framebuffer is not framebuffer complete when trying to render to or to read from it.</td>
  </tr>
  <tr>
   <td><code>gl.OUT_OF_MEMORY</code></td>
   <td>Not enough memory is left to execute the command.</td>
  </tr>
  <tr>
   <td><code>gl.CONTEXT_LOST_WEBGL</code></td>
   <td>If the WebGL context is lost, this error is returned on the first call to <code>getError</code>. Afterwards and until the context has been restored, it returns <code>gl.NO_ERROR</code>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">gl.getError(); // gl.NO_ERROR (0)

gl.enable(gl.FOOBAR);
gl.getError(); // gl.INVALID_ENUM;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.3", "getError")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glGetError.xml", "glGetError")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.getError")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext")}}</li>
 <li>{{domxref("WebGLContextEvent")}}</li>
</ul>
